%define languageenglazy Gascon
%define languagecode    gsc
%define lc_ctype        gsc_FR

%define upstream_version 20070816

Name:           hunspell-%{languagecode}
Version:        0.%{upstream_version}.1
Release:        %mkrel 4
Summary:        %{languageenglazy} hunspell dictionaries
License:        BY-NC-ND
Group:          System/Internationalization
URL:            http://wiki.services.openoffice.org/wiki/
Source0:        http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/gsc_FR.zip        

BuildArch:      noarch

Suggests:       hunspell

#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build

%install
install -D -m 0644 -p *.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p *.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%if "%{?distro_section}" == "nonfree"
%else
exit 1
%endif

%files
%doc README_gsc_FR.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Thu Oct 31 2013 tmb <tmb> 0.20070816.1-4.mga4
+ Revision: 548395
- Mageia 4 rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.20070816.1-3.mga3.nonfree
+ Revision: 353491
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 0.20070816.1-2.mga3.nonfree
+ Revision: 325330
- rebuild for Mga3 Beta1

* Sun Feb 12 2012 kamil <kamil> 0.20070816.1-1.mga2.nonfree
+ Revision: 207932
- adapt .spec for Mageia

* Sun Feb 12 2012 kamil <kamil> 0-0.mga2
+ Revision: 207922
- clean .spec and remove everything except Gascon
- make hunspell-gsc dictionary from myspell packages

* Mon Jan 24 2011 spuhler <spuhler> 1.0.2-30.mga1
+ Revision: 36024
- removed buildroot definition from .spec
- imported package myspell-dictionaries

